summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authormakefu <makefu@syntax-fehler.de>2011-07-11 14:47:11 +0200
committermakefu <makefu@syntax-fehler.de>2011-07-11 14:47:11 +0200
commite6320f45061f8ee8214a4e69603f1ff8e1275423 (patch)
tree4a88ed06b196f0f2138c577528e297fb97b27c10
parente90a65963e4a3feb9531fdbce2dc464556fd339d (diff)
parent048a1ed5f083a24c6016a76e464d2005bfc1cd43 (diff)
Merge of github.com:krebscode/painload newline
Conflicts: temper/Makefile: stupid newline
-rw-r--r--mining/Makefile6
-rw-r--r--mining/TODO2
-rwxr-xr-xmining/bin/archlinux-cruise-control70
-rwxr-xr-xmining/bin/ati_temper (renamed from mining/user/bin/ati_temper)0
-rwxr-xr-xmining/bin/cleanup_tmp4
-rwxr-xr-xmining/bin/ensure-router27
-rwxr-xr-xmining/bin/ensure-wlan041
-rwxr-xr-x[-rw-r--r--]mining/user/startup.sh15
-rwxr-xr-xnoise/modules/espeak4
9 files changed, 156 insertions, 13 deletions
diff --git a/mining/Makefile b/mining/Makefile
index b867d469..8701920f 100644
--- a/mining/Makefile
+++ b/mining/Makefile
@@ -5,7 +5,7 @@ select-target:
@cat Makefile
format:
cat README
-install: configure
+fix-linucCoin: configure
apt-get install --yes lm-sensors tmux
echo '#!/bin/bash' > /usr/bin/ati_license
echo '#!/bin/sh' > /etc/init.d/live-boot
@@ -14,5 +14,7 @@ install: configure
echo 'sudo tar xvf /opt/AMD-APP-SDK-v2.4-lnx64/icd-registration.tgz -C /' >> /usr/bin/ati_license
cp -r user /home
configure:
- sensors-detect
+ yes '' | sensors-detect
@cat CONFIGURE
+archlinux:
+ bin/archlinux-cruise-control
diff --git a/mining/TODO b/mining/TODO
new file mode 100644
index 00000000..bafaa72a
--- /dev/null
+++ b/mining/TODO
@@ -0,0 +1,2 @@
+- fix the sed script in "make archlinux" to replace only the first occurrence
+- test the amdoverdrive stuff from the home dir (user)
diff --git a/mining/bin/archlinux-cruise-control b/mining/bin/archlinux-cruise-control
new file mode 100755
index 00000000..de5a0fa4
--- /dev/null
+++ b/mining/bin/archlinux-cruise-control
@@ -0,0 +1,70 @@
+#!/bin/bash
+set -euf
+export EDITOR=vim
+echo "!! ARCHLINUX Cruise Control Mining installer !!"
+echo "** adding main network profile"
+cp /etc/network.d/examples/ethernet-dhcp /etc/network.d/main
+echo 'POST_UP="sed -i \"1i nameserver 8.8.8.8\" /etc/resolv.conf"' >> /etc/network.d/main
+echo "** adding worker account"
+grep -q worker /etc/passwd || adduser worker
+gpasswd -a worker wheel
+gpasswd -a worker tty
+gpasswd -a worker audio
+gpasswd -a worker video
+gpasswd -a worker network
+gpasswd -a worker power
+
+echo "** adding archlinuxfr to pacman.conf"
+grep -q archlinuxfr /etc/pacman.conf || echo "[archlinuxfr]" >> /etc/pacman.conf && echo "Server = http://repo.archlinux.fr/x86_64" >> /etc/pacman.conf
+echo "** installing all the required parts"
+pacman --needed --noconfirm -Syu rsync git openssh yajl sudo tmux lm_sensors vim yaourt kernel26-headers beep
+echo "** doing some tweaks"
+rm /usr/bin/python -f
+ln -s /usr/bin/python2 /usr/bin/python
+echo "syntax on" > /home/worker/.vimrc
+echo "syntax on" > /root/.vimrc
+echo "** installing tinc"
+[ "`yaourt -Q tinc`" ] || yaourt -S --noconfirm tinc
+sed -i -e 's/.*\%wheel.*/%wheel ALL=(ALL) NOPASSWD: ALL/1' /etc/sudoers
+echo "** Installing ATI drivers"
+[ "`yaourt -Q catalyst-utils`" ] || yaourt -S --noconfirm catalyst-utils
+[ "`yaourt -Q catalyst-hook`" ] || yaourt -S --noconfirm catalyst-hook
+[ "`yaourt -Q amdstream`" ] || yaourt -S --noconfirm amdstream
+echo "** installing X"
+pacman --needed -S --noconfirm xorg-server xorg-apps xorg-appres xorg-xinit xautolock xlockmore xorg-fonts xorg-xhost xorg-xauth xterm rxvt-unicode fluxbox slim
+echo "** editing slim configuration"
+sed -i 's/.*default_user.*/default_user worker/' /etc/slim.conf
+sed -i 's/.*auto_login.*/auto_login yes/' /etc/slim.conf
+echo "** Installing mining tools and overclocking stuff"
+[ "`yaourt -Q phoenix-miner-svn`" ] || yaourt -S --noconfirm phoenix-miner-svn
+echo "!! warning, you might need to adjust the version number of AMDOverdriveCTRL !!"
+[ "`yaourt -Q amdoverdrivectrl`" ] || yaourt -S amdoverdrivectrl
+echo "** copying bin folder"
+cp -r $(readlink -f `dirname $0`)/ /home/worker
+echo "** creating new .Xauthority for worker"
+sudo -u worker /home/worker/bin/newkey.sh
+mkdir -p /home/worker/.fluxbox
+cp /krebs/mining/user/startup.sh /home/worker/startup.sh
+chmod a+x /home/worker/startup.sh
+cp /krebs/mining/user/startup.sh /home/worker/.fluxbox/startup
+chmod a+x /home/worker/.fluxbox/startup
+cp /krebs/mining/user/mining.ovdr /home/worker/
+chown -R worker:users /home/worker
+echo "configuring X"
+echo "!! ACTION REQUIRED, write down the first number of your ATI Graphics Adapter."
+echo "!! i will open /etc/X11/xorg.conf for you, change the BusID of every Device to the numbers you see here"
+echo "!! press enter to continue"
+lspci|grep VGA
+read
+aticonfig --initial=dual-head
+vim /etc/X11/xorg.conf
+echo "** creating xinitrc and start x"
+echo 'setxkbmap -option terminate:ctrl_alt_bksp' > /home/worker/.xinitrc
+echo 'xautolock -corners +-+- -locker "xlock -mode blank"&' >> /home/worker/.xinitrc
+echo '/home/worker/startup.sh &' >> /home/worker/.xinitrc
+echo 'xterm &' >> /home/worker/.xinitrc
+echo 'exec fluxbox' >> /home/worker/.xinitrc
+echo '!! start x with `xinit `'
+echo 'add "x:5:respawn:/usr/bin/slim >/dev/null 2>&1" to /etc/inittab to start slim"
+
+
diff --git a/mining/user/bin/ati_temper b/mining/bin/ati_temper
index 283a6024..283a6024 100755
--- a/mining/user/bin/ati_temper
+++ b/mining/bin/ati_temper
diff --git a/mining/bin/cleanup_tmp b/mining/bin/cleanup_tmp
new file mode 100755
index 00000000..e1395b19
--- /dev/null
+++ b/mining/bin/cleanup_tmp
@@ -0,0 +1,4 @@
+#! /bin/sh
+ls -lAtr /tmp/ | sed -rn '
+ /\.so$/{$!{s/.* ([A-Za-z0-9]+\.so)$/rm -v \/tmp\/\1/p}}
+' | sudo sh
diff --git a/mining/bin/ensure-router b/mining/bin/ensure-router
new file mode 100755
index 00000000..ec78f610
--- /dev/null
+++ b/mining/bin/ensure-router
@@ -0,0 +1,27 @@
+#! /bin/sh
+
+if test "${nosudo-false}" != true -a `id -u` != 0; then
+ echo "we're going sudo..." >&2
+ exec sudo "$0" "$@"
+ exit 23 # go to hell
+fi
+
+if=eth2
+
+if ! ifconfig $if | grep -q 'inet addr'; then
+ beep -l 50 -f 2500; ifconfig $if 0.0.0.0 down || :
+ beep -l 50 -f 2500; ifconfig $if 23.0.0.1/8 up || :
+ beep -l 50 -f 2500; /etc/init.d/dnsmasq restart
+ beep -l 50 -f 2500; iptables -t nat -A POSTROUTING -o wlan0 -j MASQUERADE
+ beep -l 50 -f 2500; iptables -t nat -A POSTROUTING -o eth2 -j MASQUERADE
+ if ifconfig $if | grep -q 'inet addr'; then
+ beep -l 50 -f 2500 -n -l 100 -f 3000
+ else
+ beep -l 50 -f 2500 -n -l 100 -f 1000
+ fi
+else
+ case "${1-}" in
+ (--quiet) : ;;
+ (*) beep -l 50 -f 2500 -n -l 100 -f 2500 ;;
+ esac
+fi
diff --git a/mining/bin/ensure-wlan0 b/mining/bin/ensure-wlan0
new file mode 100755
index 00000000..fa92c4f5
--- /dev/null
+++ b/mining/bin/ensure-wlan0
@@ -0,0 +1,41 @@
+#! /bin/sh
+
+if test "${nosudo-false}" != true -a `id -u` != 0; then
+ echo "we're going sudo..." >&2
+ exec sudo -E "$0" "$@"
+ exit 23 # go to hell
+fi
+
+has_internet() {
+ curl -sS google.com >/dev/null
+}
+
+if test "${force-false}" = true || ! has_internet; then
+
+ ## get rid of the fuckers
+ for fucker in NetworkManager nm-applet; do
+ pkill -9 $fucker
+ (IFS=:; for dir in $PATH; do rm -vf $dir/$fucker; done)
+ done
+
+ beep -l 50 -f 2000; pkill wpa
+ beep -l 50 -f 2000; rm -vf /var/run/wpa_supplicant/*
+ beep -l 50 -f 2000; wpa_supplicant -i wlan0 -c /etc/wpa_supplicant/wpa_supplicant.conf &
+ while ! wpa_cli status | grep -q wpa_state=COMPLETED; do
+ beep -l 50 -f 2000 -D 50 -n -l 50 -f 2000
+ sleep 1
+ done
+ beep -l 50 -f 2000; dhcpcd -x wlan0
+ beep -l 50 -f 2000; dhcpcd wlan0
+ #echo nameserver 8.8.8.8 >/etc/resolv.conf
+ if has_internet; then
+ beep -l 50 -f 2000 -n -l 100 -f 3000
+ else
+ beep -l 50 -f 2000 -n -l 100 -f 1000
+ fi
+else
+ case "${1-}" in
+ (--quiet) : ;;
+ (*) beep -l 50 -f 2000 -n -l 100 -f 2000 ;;
+ esac
+fi
diff --git a/mining/user/startup.sh b/mining/user/startup.sh
index eb2ce13a..6274a892 100644..100755
--- a/mining/user/startup.sh
+++ b/mining/user/startup.sh
@@ -1,16 +1,13 @@
-sudo pkill xscreensaver
sudo pkill tmux
-sleep 1
+sleep 5
+source ~/.profile
export DISPLAY=:0
-
export URL="${URL-http://txgen_chinaman:lolwut@uk.btcguild.com:8332}"
#export URL="http://txgen:qJrXefWX@bitcoinpool.com:8334"
-slock &
tmux start-server
tmux new-session -d -s mining -n mining
-printenv > /home/user/environment
-tmux new-window -t mining:1 'AMDOverdriveCtrl -i 0 mining.ovdr'
-tmux new-window -t mining:2 'AMDOverdriveCtrl -i 3 mining.ovdr'
+tmux new-window -t mining:1 'cd ~;AMDOverdriveCtrl -i 0 mining.ovdr'
+tmux new-window -t mining:2 'cd ~;AMDOverdriveCtrl -i 3 mining.ovdr'
sleep 5
-tmux new-window -t mining:3 "cd /opt/miners/phoenix; while sleep 1; do sudo python phoenix.py -u $URL -k phatk DEVICE=0 VECTORS BFI_INT WORKSIZE=256 AGGRESSION=12 FASTLOOPS=false;done"
-tmux new-window -t mining:4 "cd /opt/miners/phoenix; while sleep 1;do sudo python phoenix.py -u $URL -k phatk DEVICE=1 VECTORS BFI_INT WORKSIZE=256 AGGRESSION=10 FASTLOOPS=false ; done"
+tmux new-window -t mining:3 "cd /usr/src/phoenix-miner/; while sleep 1; do sudo ./phoenix.py -u $URL -k phatk DEVICE=0 VECTORS BFI_INT WORKSIZE=256 AGGRESSION=12 FASTLOOPS=false;done"
+tmux new-window -t mining:4 "cd /usr/src/phoenix-miner/; while sleep 1; do sudo ./phoenix.py -u $URL -k phatk DEVICE=1 VECTORS BFI_INT WORKSIZE=256 AGGRESSION=12 FASTLOOPS=false;done"
diff --git a/noise/modules/espeak b/noise/modules/espeak
index 97305b5e..815d9d99 100755
--- a/noise/modules/espeak
+++ b/noise/modules/espeak
@@ -8,7 +8,7 @@ speak() {
p="${noise_pitch-100}"
v="${noise_lang-de}"
k="${noise_capital-0}"
- a="${noise_amplitude-100}"
+ a="${noise_amplitude-600}"
g="${noise_gap-1}"
if test "$debug" = true; then
print_var pitch $p
@@ -21,7 +21,7 @@ speak() {
echo "espeak: $@"
fi
#echo "espeak -p \"$pitch\" -v \"$lang\" \"$*\"" >&2
- (espeak --stdout -a $a -k $k -p $p -v $v -g $g | aplay -Dplug:dmix)<<EOF
+ (espeak --stdout -a $a -k $k -p $p -v $v -g $g | aplay)<<EOF
$*
EOF
}